Last Comment Bug 855798 - Make add-on builder helper set logging prefs for add-ons it runs so console.log shows up
: Make add-on builder helper set logging prefs for add-ons it runs so console.l...
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: ---
Assigned To: Alexandre Poirot [:ochameau]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 11:56 PDT by Dave Townsend [:mossop]
Modified: 2013-05-30 06:43 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pull request 7 (172 bytes, text/html)
2013-03-29 08:14 PDT, Alexandre Poirot [:ochameau]
dtownsend: review+
Details

Description Dave Townsend [:mossop] 2013-03-28 11:56:42 PDT
Bug 711815 made it so by default console.log doesn't show up anywhere unless you set a pref. Addon builder helper should set that pref for each addon it runs so you can debug things.
Comment 1 Alexandre Poirot [:ochameau] 2013-03-29 08:14:34 PDT
Created attachment 731167 [details]
Pull request 7

I gave it a try on AB with a 1.14 addon, and it seems to work fine.
Comment 2 Dave Townsend [:mossop] 2013-04-03 11:37:26 PDT
Comment on attachment 731167 [details]
Pull request 7

Looks good to me, ship it
Comment 3 Wes Kocher (:KWierso) 2013-04-14 02:29:41 PDT
(In reply to Dave Townsend (:Mossop) from comment #2)
> Comment on attachment 731167 [details]
> Pull request 7
> 
> Looks good to me, ship it

Yes, please. :)
Comment 4 Alexandre Poirot [:ochameau] 2013-05-30 06:43:13 PDT
1.6 version has been shipped and fixed that.

Note You need to log in before you can comment on or make changes to this bug.